#include <LiquidCrystal_I2C.h>
LiquidCrystal_I2C lcd(0x27,16,2);
int triggerPin = 13;
int echoPin = 12;
int buzzerpin = 11;
long duration,distCM;
void setup() 
{
  lcd.begin();
  pinMode(buzzerpin,OUTPUT);
  pinMode(triggerPin,OUTPUT);
  pinMode(echoPin,INPUT);
  digitalWrite(buzzerpin,HIGH);
}
void loop() 
{
  digitalWrite(triggerPin,LOW);
  delayMicroseconds(2);
  digitalWrite(triggerPin,HIGH);
  delayMicroseconds(10);
  digitalWrite(triggerPin,LOW);
  duration = pulseIn(echoPin,HIGH);
  distCM = duration/58;
  lcd.home();
  if ((distCM>=4)&&(distCM<=30))
  {    
    lcd.clear();
    lcd.print("#####Alarm#####");
    int dl = distCM*20;
    tone(buzzerpin,600,dl);
    delay(dl);
    digitalWrite(buzzerpin,HIGH);
    delay(70);    
  }
  else
  {
    lcd.print("  Dist > 30 cm  ");
  }
}

